#########################################################################
# Copyright 2000 Compaq Computer Corporation                             
# COMPAQ Registered in U.S. Patent and Trademark Office.    
# Confidential computer software.                      
# Valid license from Compaq required for possessing, use or copying.
# Consistent with FAR 12.211 and 12.212, Commercial Computer Software, 
# Computer Software Documentation, and Technical Data for Commercial
# Items are licensed to the U.S. Government under vendor's standard 
# commercial license.
######################################################################### 


#!/bin/sh
# Installs SWCC Agent failover for Veritas Cluster Server.
# User must link in SWCC failover as needed to Cluster Configuration.
# set -x

echo "This will install the Compaq SWCCAgent failover for Veritas Cluster Server."
echo ""
echo "** This script does not verify the resource name nor the group name. **"
echo ""
echo "** Please ensure that the Cluster is in Read-Only Mode. **"
echo ""
echo "Please enter the resource name (eg. SWCC_hostname): \c"
read RES
echo ""
echo "Please enter the group you would like to add "$RES" to: \c"
read GROUP
echo ""
echo "Adding "$RES" to "$GROUP".  Is this correct? [y,N]: \c"
read YORN

if [ "$YORN" = "y" -o "$YORN" = "Y" ]
 then
 # Moving config files around.

 cp online /tmp
 cp offline /tmp
 cp monitor /tmp
 cp SWCCAgent /tmp
 cd /tmp
 echo "Creating /opt/VRTSvcs/bin/SWCC directory..."
 mkdir /opt/VRTSvcs/bin/SWCC
 echo "Moving online script into SWCC directory..."
 mv /tmp/online /opt/VRTSvcs/bin/SWCC
 echo "Moving offline script into SWCC directory..." 
 mv /tmp/offline /opt/VRTSvcs/bin/SWCC
 echo "Moving monitor script into SWCC directory..."
 mv /tmp/monitor /opt/VRTSvcs/bin/SWCC
 echo "Moving SWCCAgent into SWCC directory..."
 mv /tmp/SWCCAgent /opt/VRTSvcs/bin/SWCC

 echo "Adding SWCC type to configuration..."
 /opt/VRTSvcs/bin/haconf -makerw
 /opt/VRTSvcs/bin/hatype -add SWCC
 /opt/VRTSvcs/bin/haconf -dump

 echo "Adding "$RES" to "$GROUP"..."
 /opt/VRTSvcs/bin/hares -add $RES SWCC $GROUP >> /tmp/SWCC.$$
 /opt/VRTSvcs/bin/hares -modify $RES Critical 1
 /opt/VRTSvcs/bin/hares -modify $RES Enabled 1
 sleep 2
 /opt/VRTSvcs/bin/haconf -dump -makero

 echo ""
 echo "Successfully added "$RES" to group "$GROUP"."
 echo "Cluster Administrator may now link in dependencies as required following "
 echo "Veritas Cluster Server Users Guide documentation."
fi
echo "Exiting..."
